org.apache.sling.event.jobs

## Enum JobManager.QueryType

- java.lang.Object
- - java.lang.Enum<JobManager.QueryType>
  - - org.apache.sling.event.jobs.JobManager.QueryType

All Implemented Interfaces:
  Serializable, Comparable<JobManager.QueryType>

Enclosing interface:
  JobManager

    public static enum JobManager.QueryType
    extends Enum<JobManager.QueryType>

The requested job types for the query. This can either be all (unfinished) jobs, all activated (started) or all queued jobs.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE`
`ALL`
`CANCELLED`
`DROPPED`
`ERROR`
`GIVEN_UP`
`HISTORY`
`QUEUED`
`STOPPED`
`SUCCEEDED`

### Method Summary

All Methods Static Methods Concrete Methods
`static JobManager.QueryType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JobManager.QueryType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final JobManager.QueryType ALL

#### ACTIVE

    public static final JobManager.QueryType ACTIVE

#### QUEUED

    public static final JobManager.QueryType QUEUED

#### HISTORY

    public static final JobManager.QueryType HISTORY

#### CANCELLED

    public static final JobManager.QueryType CANCELLED

#### SUCCEEDED

    public static final JobManager.QueryType SUCCEEDED

#### STOPPED

    public static final JobManager.QueryType STOPPED

#### GIVEN_UP

    public static final JobManager.QueryType GIVEN_UP

#### ERROR

    public static final JobManager.QueryType ERROR

#### DROPPED

    public static final JobManager.QueryType DROPPED

### Method Detail

#### values

    public static JobManager.QueryType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JobManager.QueryType c : JobManager.QueryType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JobManager.QueryType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null